Bug 1872145 - Disable power actions if BMO is not running
Summary: Disable power actions if BMO is not running
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Metal3 Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Rastislav Wagner
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 07:54 UTC by Rastislav Wagner
Modified: 2020-10-27 16:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:32:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6662 0 None closed Bug 1872145: Detect enablement of BMO. 2020-09-28 10:01:07 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:32:57 UTC

Description Rastislav Wagner 2020-08-25 07:54:37 UTC
Description of problem:
If BMO is not running power actions on BMH should be disabled

Comment 3 Rastislav Wagner 2020-09-18 07:18:21 UTC
Little bit more info: BMO is not running if there's no provisioning-configuration CR (BMO pods are running, but BMO is disabled due to missing CR).

Comment 4 Yadan Pei 2020-09-29 05:47:36 UTC
1. Delete provisioning.metal3.io instance with name provisioning-configuration
$ oc delete provisioning.metal3.io provisioning-configuration

2. Check BMH action menus, these actions are disabled(invisible): Deprovision, Power Off, Restart

Moving to VERIFIED 4.6.0-0.nightly-2020-09-27-075304

Comment 7 errata-xmlrpc 2020-10-27 16:32:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.